summaryrefslogtreecommitdiff
path: root/dev-python/jsonpatch
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-06-02 01:23:40 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-06-02 01:23:40 +0000
commitf8ae32f43ee9db46eb1b1888f86cf69c9399df40 (patch)
treed3a8fac8797954da55d1bff224f38a58156ff40a /dev-python/jsonpatch
parentc5f52f8cb9a2461a4fccd9a62fbe7a6a3d594a47 (diff)
downloadbaldeagleos-repo-f8ae32f43ee9db46eb1b1888f86cf69c9399df40.tar.gz
baldeagleos-repo-f8ae32f43ee9db46eb1b1888f86cf69c9399df40.tar.xz
baldeagleos-repo-f8ae32f43ee9db46eb1b1888f86cf69c9399df40.zip
Adding metadata
Diffstat (limited to 'dev-python/jsonpatch')
-rw-r--r--dev-python/jsonpatch/Manifest1
-rw-r--r--dev-python/jsonpatch/jsonpatch-1.32-r1.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/jsonpatch/Manifest b/dev-python/jsonpatch/Manifest
index 89d81b34902a..3a766fbfb10a 100644
--- a/dev-python/jsonpatch/Manifest
+++ b/dev-python/jsonpatch/Manifest
@@ -1 +1,2 @@
DIST jsonpatch-1.32.tar.gz 27988 BLAKE2B b60dc7607f644f1ffd095486c237e3bb537b465132725e98fc8799a42a92dcbb43e1e41d281fbc2ce2c4efec327ad681d7740129be55d94c51321e620d084d95 SHA512 4e2978555dd506e09553014d426c4e3a6c6d5c865428f11450952704007c8a0b2060b945cf1fa33a128151427e1c66919891466e095e96fff4316304f0b3ad1d
+DIST python-json-patch-1.32.gh.tar.gz 27988 BLAKE2B b60dc7607f644f1ffd095486c237e3bb537b465132725e98fc8799a42a92dcbb43e1e41d281fbc2ce2c4efec327ad681d7740129be55d94c51321e620d084d95 SHA512 4e2978555dd506e09553014d426c4e3a6c6d5c865428f11450952704007c8a0b2060b945cf1fa33a128151427e1c66919891466e095e96fff4316304f0b3ad1d
diff --git a/dev-python/jsonpatch/jsonpatch-1.32-r1.ebuild b/dev-python/jsonpatch/jsonpatch-1.32-r1.ebuild
new file mode 100644
index 000000000000..c339a4ff8acd
--- /dev/null
+++ b/dev-python/jsonpatch/jsonpatch-1.32-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+MY_P=python-json-patch-${PV}
+DESCRIPTION="Apply JSON-Patches like http://tools.ietf.org/html/draft-pbryan-json-patch-04"
+HOMEPAGE="
+ https://github.com/stefankoegl/python-json-patch/
+ https://pypi.org/project/jsonpatch/
+"
+SRC_URI="
+ https://github.com/stefankoegl/python-json-patch/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/jsonpointer-1.9[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ )
+"
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests of tests.py fail with ${EPYTHON}"
+ "${EPYTHON}" ext_tests.py || die "Tests of ext_tests.py fail with ${EPYTHON}"
+}